package Bio::FastParsers::Blast::Xml::Statistics;
# ABSTRACT: NCBI BLAST DTD-derived internal class
$Bio::FastParsers::Blast::Xml::Statistics::VERSION = '0.201110';
use Moose;
use namespace::autoclean;

# AUTOGENERATED CODE! DO NOT MODIFY THIS FILE!

use XML::Bare qw(forcearray);



# private attributes

has '_root' => (
    is       => 'ro',
    isa      => 'HashRef',
    required => 1,
);


# public array(s) of composed objects


# public composed object(s)


# public methods


sub db_len {
    return shift->_root->{'Statistics_db-len'}->{'value'}
}


sub db_num {
    return shift->_root->{'Statistics_db-num'}->{'value'}
}


sub eff_space {
    return shift->_root->{'Statistics_eff-space'}->{'value'}
}


sub entropy {
    return shift->_root->{'Statistics_entropy'}->{'value'}
}


sub hsp_len {
    return shift->_root->{'Statistics_hsp-len'}->{'value'}
}


sub kappa {
    return shift->_root->{'Statistics_kappa'}->{'value'}
}


sub lambda {
    return shift->_root->{'Statistics_lambda'}->{'value'}
}


# public aliases


__PACKAGE__->meta->make_immutable;
1;

__END__

=pod

=head1 NAME

Bio::FastParsers::Blast::Xml::Statistics - NCBI BLAST DTD-derived internal class

=head1 VERSION

version 0.201110

=head1 SYNOPSIS

    # see Bio::FastParsers::Blast::Xml

=head1 DESCRIPTION

This class implements the C<Statistics> level of the XML BLAST parser.

=head1 METHODS

=head2 db_len

Returns the value of the element C<<Statistics_db-len>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $db_len = $statistics->db_len;

This method does not accept any arguments.

=head2 db_num

Returns the value of the element C<<Statistics_db-num>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $db_num = $statistics->db_num;

This method does not accept any arguments.

=head2 eff_space

Returns the value of the element C<<Statistics_eff-space>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $eff_space = $statistics->eff_space;

This method does not accept any arguments.

=head2 entropy

Returns the value of the element C<<Statistics_entropy>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $entropy = $statistics->entropy;

This method does not accept any arguments.

=head2 hsp_len

Returns the value of the element C<<Statistics_hsp-len>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $hsp_len = $statistics->hsp_len;

This method does not accept any arguments.

=head2 kappa

Returns the value of the element C<<Statistics_kappa>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $kappa = $statistics->kappa;

This method does not accept any arguments.

=head2 lambda

Returns the value of the element C<<Statistics_lambda>>.

    # $statistics is a Bio::FastParsers::Blast::Xml::Statistics
    my $lambda = $statistics->lambda;

This method does not accept any arguments.

=head1 AUTHOR

Denis BAURAIN <denis.baurain@uliege.be>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
